#include <iostream>

#include <fggl/gfx/window.hpp>
#include <fggl/gfx/ogl.hpp>
#include <fggl/data/procedural.hpp>

int main(int argc, char* argv[]) {
	fggl::gfx::Context ctx;

	// build our main window
	fggl::gfx::Window win;
	win.fullscreen( true );

	// opengl time
	fggl::gfx::Graphics ogl(win);

	fggl::data::Mesh cube = fggl::data::make_cube();

	while( true ) {
		ogl.clear();

		win.swap();
		ctx.pollEvents();
	}

	return 0;
}
